# WOK
TKWOK
WOKOrbix

# WOKOrbix_IDLTranslator Class Reference

Translates an IDL file
.

`#include <WOKOrbix_IDLTranslator.hxx>`

Inheritance diagram for WOKOrbix_IDLTranslator:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOrbix_IDLTranslator (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
virtual Standard_EXPORT void | Load ()
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKOrbix_IDLFile)&afile)
| Executes an action and updates Iterator and MSchema .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT WOKBuilder_BuildStatus | Translate (const Handle(WOKOrbix_IDLFile)&afile, Handle(TColStd_HSequenceOfHAsciiString)&globlist, Handle(TColStd_HSequenceOfHAsciiString)&inctypes, Handle(TColStd_HSequenceOfHAsciiString)&insttypes, Handle(TColStd_HSequenceOfHAsciiString)&gentypes)

## Private Attributes

WOKBuilder_MSTranslatorPtr | mytranslator

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_IDLTranslator::WOKOrbix_IDLTranslator | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT WOKBuilder_BuildStatus WOKOrbix_IDLTranslator::Execute | ( | const Handle(WOKOrbix_IDLFile)& | afile | ) |

Standard_EXPORT const WOKOrbix_IDLTranslator::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSTool.

virtual Standard_EXPORT void WOKOrbix_IDLTranslator::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInProcess.

Standard_EXPORT WOKBuilder_BuildStatus WOKOrbix_IDLTranslator::Translate | ( | const Handle(WOKOrbix_IDLFile)& | afile,
|  | Handle(TColStd_HSequenceOfHAsciiString)& | globlist,
|  | Handle(TColStd_HSequenceOfHAsciiString)& | inctypes,
|  | Handle(TColStd_HSequenceOfHAsciiString)& | insttypes,
|  | Handle(TColStd_HSequenceOfHAsciiString)& | gentypes
| ) | `[private]`

## Field Documentation

WOKBuilder_MSTranslatorPtr WOKOrbix_IDLTranslator::mytranslator `[private]`

The documentation for this class was generated from the following file:

- WOKOrbix_IDLTranslator.hxx